failed with the reason. When none can be assigned, theassigned and givesDELETE /api/v2/permission-sets/{permission_set_id}/members and assign it again.data.failed with the reason.curl --location --globoff 'https:///api/v2/users//permission-sets' \
--header 'X-Authorization-Consistency-Token;' \
--header 'Organization-Id;' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{
"permission_set_ids": [
"3f1c9b2a-0000-0000-0000-000000000001",
"3f1c9b2a-0000-0000-0000-000000000002"
]
}'{
"success": true,
"message": "1 permission set(s) assigned, 1 failed",
"data": {
"user_id": 42,
"assigned": [
{
"permission_set_id": "3f1c9b2a-0000-0000-0000-000000000001"
}
],
"failed": [
{
"permission_set_id": "3f1c9b2a-0000-0000-0000-000000000002",
"error": "Permission set not found"
}
],
"assigned_at": "2026-10-28T09:30:00Z"
}
}